Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
clan::Brush Class Reference

`#include <brush.h>`

## Public Member Functions
| Brush ()
| Brush (const Colorf &color)

## Static Public Member Functions
static Brush | solid (float r, float g, float b, float a=1.0f)
static Brush | solid (const Colorf &color)
static Brush | solid_rgb8 (int r, int g, int b)
static Brush | solid_rgba8 (int r, int g, int b, int a)

## Public Attributes
Pointf | center_point
Colorf | color
Pointf | end_point
Pointf | gradient_origin_offset
Image | image
BrushInterpolateMode | interpolate = BrushInterpolateMode::linear
float | opacity = 1.0f
float | radius_x = 0.0f
float | radius_y = 0.0f
Pointf | start_point
std::vector< BrushGradientStop > | stops
Mat3f | transform = Mat3f::identity()
BrushType | type = BrushType::solid
BrushWrapMode | wrap_x = BrushWrapMode::wrap
BrushWrapMode | wrap_y = BrushWrapMode::wrap

## Constructor & Destructor Documentation

clan::Brush::Brush | ( |  | ) |
| inline

clan::Brush::Brush | ( | const Colorf & | color | ) |
| inline

## Member Function Documentation

static Brush clan::Brush::solid | ( | float | r,
|  | float | g,
|  | float | b,
|  | float | a = `1.0f`
| ) |  |
| inline static

References clan::a, and color.

static Brush clan::Brush::solid | ( | const Colorf & | color | ) |
| inline static

References color.

static Brush clan::Brush::solid_rgb8 | ( | int | r,
|  | int | g,
|  | int | b
| ) |  |
| inline static

References color.

static Brush clan::Brush::solid_rgba8 | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |
| inline static

References color.

## Member Data Documentation

Pointf clan::Brush::center_point

Colorf clan::Brush::color

Referenced by solid(), solid_rgb8(), and solid_rgba8().

Pointf clan::Brush::end_point

Pointf clan::Brush::gradient_origin_offset

Image clan::Brush::image

BrushInterpolateMode clan::Brush::interpolate = BrushInterpolateMode::linear

float clan::Brush::opacity = 1.0f

float clan::Brush::radius_x = 0.0f

float clan::Brush::radius_y = 0.0f

Pointf clan::Brush::start_point

std::vector<BrushGradientStop> clan::Brush::stops

Mat3f clan::Brush::transform = Mat3f::identity()

BrushType clan::Brush::type = BrushType::solid

BrushWrapMode clan::Brush::wrap_x = BrushWrapMode::wrap

BrushWrapMode clan::Brush::wrap_y = BrushWrapMode::wrap

The documentation for this class was generated from the following file:

- brush.h